Debian Bug report logs - #342960
Package explicitely build-depends on g++-3.4

version graph

Package: ecos; Maintainer for ecos is (unknown);

Reported by: Matthias Klose <doko@cs.tu-berlin.de>

Date: Mon, 12 Dec 2005 00:03:31 UTC

Severity: normal

Tags: fixed

Fixed in version ecos/2.0-0pre3

Done: Luk Claes <luk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Masato Taruishi <taru@debian.org>:
Bug#342960; Package ecos. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
New Bug report received and forwarded. Copy sent to Masato Taruishi <taru@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: maintonly@bugs.debian.org
Subject: Package explicitely build-depends on g++-3.4
Date: Mon, 12 Dec 2005 00:54:24 +0100 (MET)
Package: ecos
Usertag: g++-3.4

This package build-depends for some reason on g++-3.4 (most likely,
because it could not be built with a newer g++ version.  We would
like to get rid of g++-3.4 for the etch release, although currently
not a hard release goal.

Please (re)check, if the package can be built by g++, and if not, if it
can be built using gcc-snapshot (or g++-4.1, currently found in
experimental). Please keep the bug report open until you can avoid the
build dependency on g++-3.4. Collect further information in this bug
report (i.e. if it builds with a newer/experimental version).

(Side note: PR c++/21123 is now fixed in g++-4.0, allowing many KDE
related packages to build on arm/hppa/m68k with the default g++
A build-dependency on g++ (>= 4:4.0.2-2) is currently needed until all
the buildds use this version.



Information forwarded to debian-bugs-dist@lists.debian.org, Masato Taruishi <taru@debian.org>:
Bug#342960; Package ecos. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Masato Taruishi <taru@debian.org>. Full text and rfc822 format available.

Message #10 received at 342960@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 342960@bugs.debian.org
Subject: Re: Package explicitely build-depends on g++-3.4
Date: Fri, 12 May 2006 23:54:04 +0200
| ecos (2.0-0pre2.3) unstable; urgency=low
|
|  * NMU.
|  * Use g++-3.4 on arm, m68k and hppa since 4.0 ICEs (closes: bug#327838).
|
| -- Aurelien Jarno <aurel32@debian.org>  Fri, 21 Oct 2005 00:18:23 +0200

This bug explicitly build-depends on g++ 3.4 on arm, hppa and m68k
because of a bug that has been fixed a long time ago.  This bug asking
you to move to gcc 4.x has been open for about 150 now days without
any answer from you.  Do you think you will make an upload soon,
moving to 4.x on all platforms (i.e. dropping the explicit
build-depends on 3.4) or can we do an NMU?

-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Masato Taruishi <taru@debian.org>:
Bug#342960; Package ecos. Full text and rfc822 format available.

Acknowledgement sent to o@deprecation.cyrius.com:
Extra info received and forwarded to list. Copy sent to Masato Taruishi <taru@debian.org>. Full text and rfc822 format available.

Message #15 received at 342960@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 356970@bugs.debian.org, 342960@bugs.debian.org
Cc: control@bugs.debian.org
Subject: NMU diff
Date: Fri, 26 May 2006 16:34:43 +0200
tags 356970 + pending
thanks

I've uploaded the following NMU to delayed-2.


diff -u ecos-2.0/debian/changelog ecos-2.0/debian/changelog
--- ecos-2.0/debian/changelog
+++ ecos-2.0/debian/changelog
@@ -1,3 +1,13 @@
+ecos (2.0-0pre2.4) unstable; urgency=low
+
+  * NMU as part of the GCC 4.1 transition.
+  * patches/022_gcc41_fix: Remove extra qualification from C++ file
+    (closes: #356970).
+  * Drop the build-dependency on g++-3.4 for arm, m68k and hppa since
+    this workaround is no longer needed (closes: #342960).
+
+ -- Martin Michlmayr <tbm@cyrius.com>  Fri, 26 May 2006 12:14:18 +0200
+
 ecos (2.0-0pre2.3) unstable; urgency=low
 
   * NMU.
diff -u ecos-2.0/debian/rules ecos-2.0/debian/rules
--- ecos-2.0/debian/rules
+++ ecos-2.0/debian/rules
@@ -33,13 +33,6 @@
 CT2BUILDOPTS = $(CONCURRENCY_FLAG) -f ../$(BUILD_TREE)/ecos-2.0/tools/src/tools/configtool/standalone/wxwin/Makefile ECOSDIR=$(TOPDIR)/$(BUILD_TREE)/ecos-2.0/ LEVEL=$(LEVEL) ECOSBUILDDIR=$(TOPDIR)/build/tools/src/ WXDIR=/usr WXBUILDDIR=/usr/bin INCLUDEPREFIX= LIBPREFIX=
 #CT2BUILDOPTS = $(CONCURRENCY_FLAG) -f ../$(BUILD_TREE)/ecos-2.0/tools/src/tools/configtool/standalone/wxwin/Makefile ECOSDIR=$(TOPDIR)/$(BUILD_TREE)/ecos-2.0/ LEVEL=$(LEVEL) ECOSBUILDDIR=$(TOPDIR)/build/tools/src/ WXDIR=$(TOPDIR)/$(BUILD_TREE)
 
-DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
-ifneq (,$(findstring $(DEB_BUILD_ARCH),arm m68k hppa))
-    export CC=gcc-3.4
-    export CPP=cpp-3.4
-    export CXX=g++-3.4
-endif
-	    
 
 configure: configure-stamp
 configure-stamp:
diff -u ecos-2.0/debian/control ecos-2.0/debian/control
--- ecos-2.0/debian/control
+++ ecos-2.0/debian/control
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Masato Taruishi <taru@debian.org>
-Build-Depends: debhelper (>> 3.0.0), dbs, cpio, tcl8.3-dev, tk8.3-dev, bzip2, docbook-to-man, libgtk1.2-dev, libwxgtk2.4-dev, autotools-dev, g++-3.4 [arm m68k hppa]
+Build-Depends: debhelper (>> 3.0.0), dbs, cpio, tcl8.3-dev, tk8.3-dev, bzip2, docbook-to-man, libgtk1.2-dev, libwxgtk2.4-dev, autotools-dev
 Standards-Version: 3.5.6
 
 Package: ecos
only in patch2:
unchanged:
--- ecos-2.0.orig/debian/patches/022_gcc41_fix
+++ ecos-2.0/debian/patches/022_gcc41_fix
@@ -0,0 +1,23 @@
+--- ecos-2.0/tools/src/tools/ecostest/common/eCosTest.h~	2006-03-15 02:53:06.000000000 +0000
++++ ecos-2.0/tools/src/tools/ecostest/common/eCosTest.h	2006-03-15 02:53:12.000000000 +0000
+@@ -199,7 +199,7 @@
+   bool GetSizes();
+ 
+   // Connect to a test server
+-  static ServerStatus CeCosTest::Connect (LPCTSTR pszHostPort, CeCosSocket *&pSock, const ExecutionParameters &e,String &strInfo,Duration dTimeout=10*1000);
++  static ServerStatus Connect (LPCTSTR pszHostPort, CeCosSocket *&pSock, const ExecutionParameters &e,String &strInfo,Duration dTimeout=10*1000);
+ 
+   // Log some output.  The accumulated output can be retrieved using Output()
+   void Log (LPCTSTR  const pszFormat,...);
+diff -urN ecos-2.0~/tools/src/tools/configtool/standalone/wxwin/propertywin.h ecos-2.0/tools/src/tools/configtool/standalone/wxwin/propertywin.h
+--- ecos-2.0~/tools/src/tools/configtool/standalone/wxwin/propertywin.h	2006-05-25 21:45:26.000000000 +0000
++++ ecos-2.0/tools/src/tools/configtool/standalone/wxwin/propertywin.h	2006-05-25 21:46:14.000000000 +0000
+@@ -93,7 +93,7 @@
+     int m_nFirstProperty;
+     ecConfigItem *m_pti;
+ 
+-    static const std::string ecPropertyListCtrl::visible_properties [];
++    static const std::string visible_properties [];
+ 	static const wxChar* sm_fieldTypeImage[ecMAXFIELDTYPE];
+ };
+ 

-- 
Martin Michlmayr
http://www.cyrius.com/



Tags added: fixed Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Luk Claes <luk@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@cs.tu-berlin.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 342960-close@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 342960-close@bugs.debian.org
Subject: Bug#342960: fixed in ecos 2.0-0pre3
Date: Sat, 16 Sep 2006 10:32:08 -0700
Source: ecos
Source-Version: 2.0-0pre3

We believe that the bug you reported is fixed in the latest version of
ecos, which is due to be installed in the Debian FTP archive:

ecos-doc_2.0-0pre3_all.deb
  to pool/main/e/ecos/ecos-doc_2.0-0pre3_all.deb
ecos_2.0-0pre3.diff.gz
  to pool/main/e/ecos/ecos_2.0-0pre3.diff.gz
ecos_2.0-0pre3.dsc
  to pool/main/e/ecos/ecos_2.0-0pre3.dsc
ecos_2.0-0pre3_all.deb
  to pool/main/e/ecos/ecos_2.0-0pre3_all.deb
ecosconfig_2.0-0pre3_i386.deb
  to pool/main/e/ecos/ecosconfig_2.0-0pre3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 342960@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luk Claes <luk@debian.org> (supplier of updated ecos package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 16 Sep 2006 17:29:43 +0200
Source: ecos
Binary: ecos-doc ecosconfig ecos
Architecture: source all i386
Version: 2.0-0pre3
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Luk Claes <luk@debian.org>
Description: 
 ecos       - Deeply embedded operating system
 ecos-doc   - Documentation for eCos
 ecosconfig - eCos host-side software
Closes: 230232 280329 285697 304788 327838 342960 356970 378420
Changes: 
 ecos (2.0-0pre3) unstable; urgency=low
 .
   * QA upload.
   * Set maintainer to Debian QA Group.
   * Transition to tcl8.4 (Closes: #378420).
   * Acknowlege NMUs
     (Closes: #230232, #280329, #285697, #327838, #304788, #356970, #342960).
Files: 
 1a2619b571b5636c98ec45c4bc806495 684 devel optional ecos_2.0-0pre3.dsc
 e59ca784d753e3219cbb8cb1da4254e0 328559 devel optional ecos_2.0-0pre3.diff.gz
 63a424f068caaed610d73814ca92d9a4 13268564 devel optional ecos_2.0-0pre3_all.deb
 8648b8f054e6742bd17274335b336ff0 1464840 doc optional ecos-doc_2.0-0pre3_all.deb
 31dae21219f8447dd1e084dfbdd81622 2117840 devel optional ecosconfig_2.0-0pre3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFDCkO5UTeB5t8Mo0RArYnAJ9CcGh/oJwVPLIUQ+0oJOsY73XTpACfSxh5
HbDQPcGi3rN476zaKO6CONM=
=lse4
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 02:29:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:40:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.